| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Types | Private Member Functions | Private Attributes | List of all members
InertMessageSvc Class Reference

Thread safe extension to the standard MessageSvc. More...

`#include <MessageSvc/InertMessageSvc.h>`

Inheritance diagram for InertMessageSvc:
[legend]
Collaboration diagram for InertMessageSvc:
[legend]

## Public Member Functions
| InertMessageSvc (const std::string &name, ISvcLocator *pSvcLocator)
| Standard constructor. More...
| ~InertMessageSvc () override
| Destructor. More...
StatusCode | initialize () override
| Initialization of the service. More...
StatusCode | finalize () override
| Finalization of the service. More...
void | reportMessage (const Message &msg) override
| Implementation of IMessageSvc::reportMessage() More...
void | reportMessage (const Message &msg, int outputLevel) override
| Implementation of IMessageSvc::reportMessage() More...
void | reportMessage (const StatusCode &code, const std::string &source="") override
| Implementation of IMessageSvc::reportMessage() More...
Public Member Functions inherited from MessageSvc
| MessageSvc (const std::string &name, ISvcLocator *svcloc)
| ~MessageSvc () override=default
StatusCode | reinitialize () override
| Reinitialize Service. More...
StatusCode | initialize () override
| Initialize Service. More...
StatusCode | finalize () override
| Finalize Service. More...
void | reportMessage (const Message &message) override
void | reportMessage (const Message &msg, int outputLevel) override
void | reportMessage (const StatusCode &code, const std::string &source="") override
void | reportMessage (const char *source, int type, const char *message) override
void | reportMessage (const std::string &source, int type, const std::string &message) override
void | insertMessage (const StatusCode &code, const Message &message) override
void | eraseMessage () override
void | eraseMessage (const StatusCode &code) override
void | eraseMessage (const StatusCode &code, const Message &message) override
void | insertStream (int message_type, const std::string &name, std::ostream *stream) override
void | eraseStream () override
void | eraseStream (int message_type) override
void | eraseStream (int message_type, std::ostream *stream) override
void | eraseStream (std::ostream *stream) override
std::ostream * | defaultStream () const override
void | setDefaultStream (std::ostream *stream) override
int | outputLevel () const override
int | outputLevel (const std::string &source) const override
void | setOutputLevel (int new_level) override
void | setOutputLevel (const std::string &source, int new_level) override
bool | useColor () const override
std::string | getLogColor (int logLevel) const override
int | messageCount (MSG::Level logLevel) const override
void | incrInactiveCount (MSG::Level level, const std::string &src) override
Public Member Functions inherited from extends< Service, IMessageSvc, IInactiveMessageCounter >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
| ~extends () override=default
| Virtual destructor. More...
Public Member Functions inherited from Service
const std::string & | name () const override
| Retrieve name of the service. More...
StatusCode | configure () override
StatusCode | initialize () override
StatusCode | start () override
StatusCode | stop () override
StatusCode | finalize () override
StatusCode | terminate () override
Gaudi::StateMachine::State | FSMState () const override
Gaudi::StateMachine::State | targetFSMState () const override
StatusCode | reinitialize () override
StatusCode | restart () override
StatusCode | sysInitialize () override
| Initialize Service. More...
StatusCode | sysStart () override
| Initialize Service. More...
StatusCode | sysStop () override
| Initialize Service. More...
StatusCode | sysFinalize () override
| Finalize Service. More...
StatusCode | sysReinitialize () override
| Re-initialize the Service. More...
StatusCode | sysRestart () override
| Re-initialize the Service. More...
| Service (std::string name, ISvcLocator *svcloc)
| Standard Constructor. More...
SmartIF< ISvcLocator > & | serviceLocator () const override
| Retrieve pointer to service locator. More...
StatusCode | setProperties ()
| Method for setting declared properties to the values specified for the job. More...
template<class T >
StatusCode | service (const std::string &name, const T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
template<typename IFace = IService>
SmartIF< IFace > | service (const std::string &name, bool createIf=true) const
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
template<class T >
StatusCode | declarePrivateTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Private tool. More...
template<class T >
StatusCode | declarePublicTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Public tool. More...
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
Public Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| PropertyHolder ()=default
| ~PropertyHolder () override=default
Gaudi::Details::PropertyBase & | declareProperty (Gaudi::Details::PropertyBase &prop)
| Declare a property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none")
| Helper to wrap a regular data member and use it as a regular property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none") const
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, Gaudi::Property< TYPE, VERIFIER, HANDLERS > &prop, const std::string &doc="none")
| Declare a PropertyBase instance setting name and documentation. More...
Gaudi::Details::PropertyBase * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="")
| Declare a remote property. More...
StatusCode | setProperty (const Gaudi::Details::PropertyBase &p) override
| set the property form another property More...
StatusCode | setProperty (const std::string &s) override
| set the property from the formatted string More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| set the property from name and the value More...
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
StatusCode | getProperty (Gaudi::Details::PropertyBase *p) const override
| get the property More...
const Gaudi::Details::PropertyBase & | getProperty (const std::string &name) const override
| get the property by name More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| convert the property to the string More...
const std::vector< Gaudi::Details::PropertyBase * > & | getProperties () const override
| get all properties More...
bool | hasProperty (const std::string &name) const override
| Return true if we have a property with the given name. More...
| PropertyHolder (const PropertyHolder &)=delete
PropertyHolder & | operator= (const PropertyHolder &)=delete
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleBase &ref, const std::string &doc="none")
| Specializations for various GaudiHandles. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleArrayBase &ref, const std::string &doc="none")
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, DataObjectHandleBase &ref, const std::string &doc="none")
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...
Public Member Functions inherited from extend_interfaces< Interfaces... >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Public Attributes
| verbosity = VERBOSE
| OutputLevel
int | evtslots = 10
int | evtMax = 50
int | cardinality = 20
int | algosInFlight = 20
| whiteboard
| slimeventloopmgr = HiveSlimEventLoopMgr(OutputLevel=verbosity)
| scheduler
| a1
| a2
| Cardinality
| shortCalib
| EvtMax
| EvtSel
| ExtSvc
| EventLoop
| TopAlg
| MessageSvcType

## Private Types
typedef std::function< void()> | messageAction
typedef std::shared_ptr< messageAction > | messageActionPtr
| This is done since the copy of the lambda storage is too expensive. More...

## Private Member Functions
void | m_activate ()
void | m_deactivate ()

## Private Attributes
bool | m_isActive
tbb::concurrent_bounded_queue< messageActionPtr > | m_messageActionsQueue
std::thread | m_thread

## Additional Inherited Members
Public Types inherited from MessageSvc
typedef std::pair< std::string, std::ostream * > | NamedStream
typedef std::multimap< int, NamedStream > | StreamMap
typedef std::multimap< StatusCode, Message > | MessageMap
typedef std::map< std::string, int > | ThresholdMap
Public Types inherited from extends< Service, IMessageSvc, IInactiveMessageCounter >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
Public Types inherited from Service
typedef Gaudi::PluginService::Factory< IService *, const std::string &, ISvcLocator * > | Factory
Public Types inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
using | PropertyHolderImpl = PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| Typedef used to refer to this class from derived classes, as in. More...
Public Types inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
using | base_class = CommonMessaging
Public Types inherited from extend_interfaces< Interfaces... >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...
Protected Member Functions inherited from MessageSvc
virtual void | i_reportMessage (const Message &msg, int outputLevel)
| Internal implementation of reportMessage(const Message&,int) without lock. More...
virtual void | i_reportMessage (const StatusCode &code, const std::string &source)
| Internal implementation of reportMessage(const StatusCode&,const std::string&) without lock. More...
Protected Member Functions inherited from Service
| ~Service () override
| Standard Destructor. More...
int | outputLevel () const
| get the `Service's` output level More...
Protected Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
Gaudi::Details::PropertyBase * | property (const std::string &name) const
Protected Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...
Protected Attributes inherited from Service
Gaudi::StateMachine::State | m_state = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::StateMachine::State | m_targetState = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::Property< int > | m_outputLevel {this, "OutputLevel", MSG::NIL, "output level"}
Gaudi::Property< bool > | m_auditInit {this, "AuditServices", false, "[[deprecated]] unused"}
Gaudi::Property< bool > | m_auditorInitialize {this, "AuditInitialize", false, "trigger auditor on initialize()"}
Gaudi::Property< bool > | m_auditorStart {this, "AuditStart", false, "trigger auditor on start()"}
Gaudi::Property< bool > | m_auditorStop {this, "AuditStop", false, "trigger auditor on stop()"}
Gaudi::Property< bool > | m_auditorFinalize {this, "AuditFinalize", false, "trigger auditor on finalize()"}
Gaudi::Property< bool > | m_auditorReinitialize {this, "AuditReinitialize", false, "trigger auditor on reinitialize()"}
Gaudi::Property< bool > | m_auditorRestart {this, "AuditRestart", false, "trigger auditor on restart()"}
SmartIF< IAuditorSvc > | m_pAuditorSvc
| Auditor Service. More...

## Detailed Description

Thread safe extension to the standard MessageSvc.

The InertMessageSvc runs in a separate thread sleeping until the arrival of a message to print out therefore using a very limited amount of resources. The most important part of its implementation is the presence of a TBB concurrent bounded queue which not only allows to serialise the received messages in order to print them but also to put the thread where the service is located to sleep when the queue is empty.

Author
  Danilo Piparo

Date
  12/02/2013

Definition at line 26 of file InertMessageSvc.h.

## Member Typedef Documentation

typedef std::function<void()> InertMessageSvc::messageAction
| private

Definition at line 56 of file InertMessageSvc.h.

typedef std::shared_ptr<messageAction> InertMessageSvc::messageActionPtr
| private

This is done since the copy of the lambda storage is too expensive.

Definition at line 58 of file InertMessageSvc.h.

## Constructor & Destructor Documentation

InertMessageSvc::InertMessageSvc | ( | const std::string & | name,
|  | ISvcLocator * | pSvcLocator
| ) |  |

Standard constructor.

Definition at line 17 of file InertMessageSvc.cpp.

18 : MessageSvc(name, pSvcLocator),
19 m_isActive(false){
20 }
MessageSvc::MessageSvc
MessageSvc(const std::string &name, ISvcLocator *svcloc)
Definition: MessageSvc.cpp:73
InertMessageSvc::m_isActive
bool m_isActive
Definition: InertMessageSvc.h:54

InertMessageSvc::~InertMessageSvc | ( |  | ) |
| override

Destructor.

Definition at line 24 of file InertMessageSvc.cpp.

24 {
25 }

## Member Function Documentation

StatusCode InertMessageSvc::finalize | ( |  | ) |
| override

Finalization of the service.

StatusCode InertMessageSvc::initialize | ( |  | ) |
| override

Initialization of the service.

Definition at line 29 of file InertMessageSvc.cpp.

29 {
30 StatusCode sc = MessageSvc::initialize(); // must be executed first
31 if ( sc.isFailure() ) return sc; // error printed already by MessageSvc
32
33 info() << "Activating in a separate thread" << endmsg;
34 m_thread = std::thread (std::bind(&InertMessageSvc::m_activate,
35 this));
36
37 return StatusCode::SUCCESS;
38 }
StatusCode::SUCCESS
Definition: StatusCode.h:30
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:123
InertMessageSvc::m_thread
std::thread m_thread
Definition: InertMessageSvc.h:61
StatusCode::isFailure
bool isFailure() const
Test for a status code of FAILURE.
Definition: StatusCode.h:84
MessageSvc::initialize
StatusCode initialize() override
Initialize Service.
Definition: MessageSvc.cpp:98
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
std::bind
T bind(T...args)
InertMessageSvc::m_activate
void m_activate()
Definition: InertMessageSvc.cpp:54
std::thread
STL class.
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

void InertMessageSvc::m_activate | ( |  | ) |
| private

Definition at line 54 of file InertMessageSvc.cpp.

54 {
55 m_isActive=true;
56 messageActionPtr thisMessageAction;
57 while (m_isActive or not m_messageActionsQueue.empty()){
58 m_messageActionsQueue.pop(thisMessageAction);
59 (*thisMessageAction)();
60 }
61 }
InertMessageSvc::messageActionPtr
std::shared_ptr< messageAction > messageActionPtr
This is done since the copy of the lambda storage is too expensive.
Definition: InertMessageSvc.h:58
InertMessageSvc::m_messageActionsQueue
tbb::concurrent_bounded_queue< messageActionPtr > m_messageActionsQueue
Definition: InertMessageSvc.h:59
InertMessageSvc::m_isActive
bool m_isActive
Definition: InertMessageSvc.h:54

void InertMessageSvc::m_deactivate | ( |  | ) |
| private

Definition at line 65 of file InertMessageSvc.cpp.

65 {
66
67 if (m_isActive){
68 // This would be the last action
69 m_messageActionsQueue.push(messageActionPtr(new messageAction([this]() {m_isActive=false;})));
70 }
71 }
InertMessageSvc::messageActionPtr
std::shared_ptr< messageAction > messageActionPtr
This is done since the copy of the lambda storage is too expensive.
Definition: InertMessageSvc.h:58
InertMessageSvc::m_messageActionsQueue
tbb::concurrent_bounded_queue< messageActionPtr > m_messageActionsQueue
Definition: InertMessageSvc.h:59
InertMessageSvc::m_isActive
bool m_isActive
Definition: InertMessageSvc.h:54
InertMessageSvc::messageAction
std::function< void()> messageAction
Definition: InertMessageSvc.h:56

void InertMessageSvc::reportMessage | ( | const Message & | msg | ) |
| override

Implementation of IMessageSvc::reportMessage()

Definition at line 89 of file InertMessageSvc.cpp.

89 {
90 // msg has to be copied as the reference may become invalid by the time it's used
91 m_messageActionsQueue.push
92 (messageActionPtr(new messageAction([this,m=Message(msg)] ()
93 {this->i_reportMessage(m, this->outputLevel(m.getSource()));})));
94 }
MessageSvc::i_reportMessage
virtual void i_reportMessage(const Message &msg, int outputLevel)
Internal implementation of reportMessage(const Message&,int) without lock.
Definition: MessageSvc.cpp:350
InertMessageSvc::messageActionPtr
std::shared_ptr< messageAction > messageActionPtr
This is done since the copy of the lambda storage is too expensive.
Definition: InertMessageSvc.h:58
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:93
Message
The Message class.
Definition: Message.h:15
MessageSvc::outputLevel
int outputLevel() const override
Definition: MessageSvc.cpp:576
InertMessageSvc::m_messageActionsQueue
tbb::concurrent_bounded_queue< messageActionPtr > m_messageActionsQueue
Definition: InertMessageSvc.h:59
InertMessageSvc::messageAction
std::function< void()> messageAction
Definition: InertMessageSvc.h:56

void InertMessageSvc::reportMessage | ( | const Message & | msg,
|  | int | outputLevel
| ) |  |
| override

Implementation of IMessageSvc::reportMessage()

The message action is created and pushed to the message queue.

The message is captured by value since the one referenced by msg can (and basically always will given the asynchronous nature of the printing) go out of scope before the differed print.

Definition at line 80 of file InertMessageSvc.cpp.

80 {
81 // msg has to be copied as the reference may become invalid by the time it's used
82 m_messageActionsQueue.push
83 (messageActionPtr(new messageAction([this, m=Message(msg),outputLevel] ()
84 {this->i_reportMessage(m, outputLevel);})));
85 }
MessageSvc::i_reportMessage
virtual void i_reportMessage(const Message &msg, int outputLevel)
Internal implementation of reportMessage(const Message&,int) without lock.
Definition: MessageSvc.cpp:350
InertMessageSvc::messageActionPtr
std::shared_ptr< messageAction > messageActionPtr
This is done since the copy of the lambda storage is too expensive.
Definition: InertMessageSvc.h:58
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:93
Message
The Message class.
Definition: Message.h:15
MessageSvc::outputLevel
int outputLevel() const override
Definition: MessageSvc.cpp:576
InertMessageSvc::m_messageActionsQueue
tbb::concurrent_bounded_queue< messageActionPtr > m_messageActionsQueue
Definition: InertMessageSvc.h:59
InertMessageSvc::messageAction
std::function< void()> messageAction
Definition: InertMessageSvc.h:56

void InertMessageSvc::reportMessage | ( | const StatusCode & | code,
|  | const std::string & | source = `""`
| ) |  |
| override

Implementation of IMessageSvc::reportMessage()

Definition at line 98 of file InertMessageSvc.cpp.

98 {
99 // msg has to be copied as the source may become invalid by the time it's used
100 m_messageActionsQueue.push(
101 messageActionPtr(new messageAction([this,code,s=std::string(source)] ()
102 {this->i_reportMessage(code, s);})));
103 }
MessageSvc::i_reportMessage
virtual void i_reportMessage(const Message &msg, int outputLevel)
Internal implementation of reportMessage(const Message&,int) without lock.
Definition: MessageSvc.cpp:350
InertMessageSvc::messageActionPtr
std::shared_ptr< messageAction > messageActionPtr
This is done since the copy of the lambda storage is too expensive.
Definition: InertMessageSvc.h:58
std::string
STL class.
gaudirun.s
string s
Definition: gaudirun.py:245
InertMessageSvc::m_messageActionsQueue
tbb::concurrent_bounded_queue< messageActionPtr > m_messageActionsQueue
Definition: InertMessageSvc.h:59
InertMessageSvc::messageAction
std::function< void()> messageAction
Definition: InertMessageSvc.h:56

## Member Data Documentation

InertMessageSvc.a1

Initial value:
1 = CPUCruncher("A1",
2 DataOutputs = ['/Event/a1'],
3 varRuntime=.1,
4 avgRuntime=.5 )

Definition at line 29 of file InertMessageSvc.py.

InertMessageSvc.a2

Initial value:
1 = CPUCruncher("A2",
2 DataInputs = [],
3 DataOutputs = ['/Event/a2'])

Definition at line 33 of file InertMessageSvc.py.

int InertMessageSvc.algosInFlight = 20

Definition at line 17 of file InertMessageSvc.py.

int InertMessageSvc.cardinality = 20

Definition at line 16 of file InertMessageSvc.py.

InertMessageSvc.Cardinality

Definition at line 38 of file InertMessageSvc.py.

InertMessageSvc.EventLoop

Definition at line 45 of file InertMessageSvc.py.

int InertMessageSvc.evtMax = 50

Definition at line 15 of file InertMessageSvc.py.

InertMessageSvc.EvtMax

Definition at line 42 of file InertMessageSvc.py.

InertMessageSvc.EvtSel

Definition at line 43 of file InertMessageSvc.py.

int InertMessageSvc.evtslots = 10

Definition at line 14 of file InertMessageSvc.py.

InertMessageSvc.ExtSvc

Definition at line 44 of file InertMessageSvc.py.

bool InertMessageSvc::m_isActive
| private

Definition at line 54 of file InertMessageSvc.h.

tbb::concurrent_bounded_queue<messageActionPtr> InertMessageSvc::m_messageActionsQueue
| private

Definition at line 59 of file InertMessageSvc.h.

std::thread InertMessageSvc::m_thread
| private

Definition at line 61 of file InertMessageSvc.h.

InertMessageSvc.MessageSvcType

Definition at line 47 of file InertMessageSvc.py.

InertMessageSvc.OutputLevel

Definition at line 10 of file InertMessageSvc.py.

InertMessageSvc.scheduler

Initial value:
1 = ForwardSchedulerSvc(MaxEventsInFlight = evtslots,
2 MaxAlgosInFlight = algosInFlight,
3 OutputLevel=verbosity,
4 AlgosDependencies = [[],[]])

Definition at line 24 of file InertMessageSvc.py.

InertMessageSvc.shortCalib

Definition at line 39 of file InertMessageSvc.py.

InertMessageSvc.slimeventloopmgr = HiveSlimEventLoopMgr(OutputLevel=verbosity)

Definition at line 22 of file InertMessageSvc.py.

InertMessageSvc.TopAlg

Definition at line 46 of file InertMessageSvc.py.

InertMessageSvc.verbosity = VERBOSE

Definition at line 8 of file InertMessageSvc.py.

InertMessageSvc.whiteboard

Initial value:
1 = HiveWhiteBoard("EventDataSvc",
2 EventSlots = evtslots)

Definition at line 19 of file InertMessageSvc.py.

The documentation for this class was generated from the following files:

- GaudiCoreSvc/src/MessageSvc/InertMessageSvc.h
- GaudiHive/options/InertMessageSvc.py
- GaudiCoreSvc/src/MessageSvc/InertMessageSvc.cpp